<?xml version="1.0" encoding="US-ASCII"?>
<!-- DFIN New ActiveDisclosure (SM) XBRL Linkbase Document - http://www.dfinsolutions.com/ -->
<!-- Creation Date :2023-04-11T09:41:28.9018+00:00 -->
<!-- Copyright (c) 2023 Donnelly Financial Solutions, Inc. All Rights Reserved. -->
<link:linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/all" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#all" xlink:type="simple"/>
  <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/dimension-default" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#dimension-default" xlink:type="simple"/>
  <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/dimension-domain" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#dimension-domain" xlink:type="simple"/>
  <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/domain-member" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#domain-member" xlink:type="simple"/>
  <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/hypercube-dimension" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#hypercube-dimension" xlink:type="simple"/>
  <link:roleRef roleURI="http://xbrl.sec.gov/ecd/role/IndividualsOnly" xlink:href="https://xbrl.sec.gov/ecd/2022q4/ecd-2022q4.xsd#IndividualsOnly" xlink:type="simple"/>
  <link:roleRef roleURI="http://xbrl.sec.gov/ecd/role/PvpAdjustmentsOnly" xlink:href="https://xbrl.sec.gov/ecd/2022q4/ecd-2022q4.xsd#PvpAdjustmentsOnly" xlink:type="simple"/>
  <link:definitionLink xlink:type="extended" xlink:role="http://xbrl.sec.gov/ecd/role/IndividualsOnly">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2022q4/ecd-2022q4.xsd#ecd_AllIndividualsMember" xlink:label="ecd_AllIndividualsMember"/>
    <link:loc xlink:type="locator" xlink:href="sptn-20230411.xsd#sptn_TonySarsamMember" xlink:label="sptn_TonySarsamMember"/>
    <link:loc xlink:type="locator" xlink:href="sptn-20230411.xsd#sptn_DennisEidsonMember" xlink:label="sptn_DennisEidsonMember"/>
    <link:definitionArc xlink:type="arc" order="0" xbrldt:closed="false" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="ecd_AllIndividualsMember" xlink:to="sptn_TonySarsamMember" priority="2" use="optional"/>
    <link:definitionArc xlink:type="arc" order="1" xbrldt:closed="false" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="ecd_AllIndividualsMember" xlink:to="sptn_DennisEidsonMember" priority="2" use="optional"/>
  </link:definitionLink>
  <link:definitionLink xlink:type="extended" xlink:role="http://xbrl.sec.gov/ecd/role/PvpAdjustmentsOnly">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2022q4/ecd-2022q4.xsd#ecd_AllAdjToCompMember" xlink:label="ecd_AllAdjToCompMember"/>
    <link:loc xlink:type="locator" xlink:href="sptn-20230411.xsd#sptn_GrantDateFairValueOfStockAwardsGrantedInFiscalYearMember" xlink:label="sptn_GrantDateFairValueOfStockAwardsGrantedInFiscalYearMember"/>
    <link:loc xlink:type="locator" xlink:href="sptn-20230411.xsd#sptn_FairValueAtFiscalYearEndOfOutstandingAndUnvestedStockAwardsGrantedInFiscalYearMember" xlink:label="sptn_FairValueAtFiscalYearEndOfOutstandingAndUnvestedStockAwardsGrantedInFiscalYearMember"/>
    <link:loc xlink:type="locator" xlink:href="sptn-20230411.xsd#sptn_ChangeInFairValueOfOutstandingAndUnvestedStockAwardsGrantedInPriorFiscalYearMember" xlink:label="sptn_ChangeInFairValueOfOutstandingAndUnvestedStockAwardsGrantedInPriorFiscalYearMember"/>
    <link:loc xlink:type="locator" xlink:href="sptn-20230411.xsd#sptn_FairValueAtVestingOfStockAwardsGrantedInFiscalYearThatVestedDuringFiscalYearMember" xlink:label="sptn_FairValueAtVestingOfStockAwardsGrantedInFiscalYearThatVestedDuringFiscalYearMember"/>
    <link:loc xlink:type="locator" xlink:href="sptn-20230411.xsd#sptn_ChangeInFairValueAsOfVestingDateOfStockAwardsGrantedInPriorYearsForWhichApplicableVestingConditionsWereSatisfiedDuringFiscalYearMember" xlink:label="sptn_ChangeInFairValueAsOfVestingDateOfStockAwardsGrantedInPriorYearsForWhichApplicableVestingConditionsWereSatisfiedDuringFiscalYearMember"/>
    <link:loc xlink:type="locator" xlink:href="sptn-20230411.xsd#sptn_FairValueAsOfPriorFiscalYearEndOfStockAwardsGrantedInPriorFiscalYearsThatFailedToMeetApplicableVestingConditionsDuringFiscalYearMember" xlink:label="sptn_FairValueAsOfPriorFiscalYearEndOfStockAwardsGrantedInPriorFiscalYearsThatFailedToMeetApplicableVestingConditionsDuringFiscalYearMember"/>
    <link:loc xlink:type="locator" xlink:href="sptn-20230411.xsd#sptn_ChangeInFairValueOfDividendsMember" xlink:label="sptn_ChangeInFairValueOfDividendsMember"/>
    <link:definitionArc xlink:type="arc" order="0" xbrldt:closed="false" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="ecd_AllAdjToCompMember" xlink:to="sptn_GrantDateFairValueOfStockAwardsGrantedInFiscalYearMember" priority="2" use="optional"/>
    <link:definitionArc xlink:type="arc" order="1" xbrldt:closed="false" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="ecd_AllAdjToCompMember" xlink:to="sptn_FairValueAtFiscalYearEndOfOutstandingAndUnvestedStockAwardsGrantedInFiscalYearMember" priority="2" use="optional"/>
    <link:definitionArc xlink:type="arc" order="2" xbrldt:closed="false" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="ecd_AllAdjToCompMember" xlink:to="sptn_ChangeInFairValueOfOutstandingAndUnvestedStockAwardsGrantedInPriorFiscalYearMember" priority="2" use="optional"/>
    <link:definitionArc xlink:type="arc" order="3" xbrldt:closed="false" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="ecd_AllAdjToCompMember" xlink:to="sptn_FairValueAtVestingOfStockAwardsGrantedInFiscalYearThatVestedDuringFiscalYearMember" priority="2" use="optional"/>
    <link:definitionArc xlink:type="arc" order="4" xbrldt:closed="false" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="ecd_AllAdjToCompMember" xlink:to="sptn_ChangeInFairValueAsOfVestingDateOfStockAwardsGrantedInPriorYearsForWhichApplicableVestingConditionsWereSatisfiedDuringFiscalYearMember" priority="2" use="optional"/>
    <link:definitionArc xlink:type="arc" order="5" xbrldt:closed="false" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="ecd_AllAdjToCompMember" xlink:to="sptn_FairValueAsOfPriorFiscalYearEndOfStockAwardsGrantedInPriorFiscalYearsThatFailedToMeetApplicableVestingConditionsDuringFiscalYearMember" priority="2" use="optional"/>
    <link:definitionArc xlink:type="arc" order="6" xbrldt:closed="false" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="ecd_AllAdjToCompMember" xlink:to="sptn_ChangeInFairValueOfDividendsMember" priority="2" use="optional"/>
  </link:definitionLink>
</link:linkbase>